summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xtest/units/util.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/test/units/util.sh b/test/units/util.sh
index 00b8c5e393..4e214251cc 100755
--- a/test/units/util.sh
+++ b/test/units/util.sh
@@ -56,3 +56,21 @@ assert_rc() {(
rc=$?
assert_eq "$rc" "$exp"
)}
+
+get_cgroup_hierarchy() {
+ case "$(stat -c '%T' -f /sys/fs/cgroup)" in
+ cgroup2fs)
+ echo "unified"
+ ;;
+ tmpfs)
+ if [[ -d /sys/fs/cgroup/unified && "$(stat -c '%T' -f /sys/fs/cgroup/unified)" == cgroup2fs ]]; then
+ echo "hybrid"
+ else
+ echo "legacy"
+ fi
+ ;;
+ *)
+ echo >&2 "Failed to determine host's cgroup hierarchy"
+ exit 1
+ esac
+}